{{page-title (capitalize (t "new icon set"))}}

{{#if @model}}
  <Manage::Container @title={{capitalize (t "new icon set")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      {{#unless @model.teams}}
        <Manage::Row>
          <div class="alert alert-danger" role="alert">
            <p>{{capitalize (t "team-needed-message")}}</p>
            <LinkTo @route="manage.teams.add" @query={{hash next="manage.icons.add"}} class="btn btn-secondary btn btn-add-team">
              <FaIcon @icon="plus" />
              {{capitalize (t "team")}}
            </LinkTo>
          </div>
        </Manage::Row>
      {{/unless}}

      <Manage::RowAdd @name="name" as |id|>
        <Input id={{id}} class="form-control" @value={{this.name}} placeholder={{capitalize (t "what is the set name?")}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="description" as |id|>
        <Article::Editor @id={{id}} @value={{this.description}} @onChange={{this.changeDescriptionValue}} @allowNoHeading={{true}} class="article-with-borders" />
      </Manage::RowAdd>

      <Manage::RowAdd @name="team" as |id|>
        {{#if @model.teams}}
          <Input::Select id={{id}} @list={{@model.teams}} @value={{this.team}} @onChange={{this.changeTeam}} />
        {{else}}
          <LinkTo @route="manage.teams.add" @query={{hash next="manage.icons.add"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>

      <Manage::Row @name="submit">
        <button type="button" class="btn btn-primary btn-submit {{if (or @model.isSaving this.isInvalid) 'disabled'}}" {{on "click" this.save}} disabled={{or @model.isSaving this.isInvalid}}>
          {{#if @model.isSaving}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          {{capitalize (t "add")}}
        </button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{/if}}